CREATE OR REPLACE TRIGGER SET_CUBE_REGION_KEY_VALUE_ID
BEFORE INSERT
ON CUBE_REGION_KEY_VALUE
FOR EACH ROW
BEGIN
  select CUBE_REGION_KEY_VALUE_SEQ.NEXTVAL into :NEW.CUBE_REGION_KEY_VALUE_ID FROM DUAL;
END;
/
;
